<?php
// $Id:

// Settings for the Layoutstudio MYTHEME theme

// Include the definition of layoutstudio_settings() and layoutstudio_theme_get_default_settings().
include_once './' . drupal_get_path('theme', 'layoutstudio') . '/theme-settings.php';

/**
 * Implementation of THEMEHOOK_settings() function.
 *
 * @param $saved_settings
 *   An array of saved settings for this theme.
 * @return
 *   A form array.
 */
function MYTHEME_settings($saved_settings) {
	
  // Get the default values from the .info file.
  $defaults = layoutstudio_theme_get_default_settings('MYTHEME');

  // Merge the saved variables and their default values.
  $settings = array_merge($defaults, $saved_settings);

  /*
   * Create the form using Forms API: http://api.drupal.org/api/6
   */
  $form = array();
  
  
  
  /* -- Delete this line if you want to use this setting
  $form['MYTHEME_example'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Use this sample setting'),
    '#default_value' => $settings['MYTHEME_example'],
    '#description'   => t("This option doesn't do anything; it's just an example."),
  );
  // */

  

  // Add the base theme's settings.
  $form += layoutstudio_settings($settings, $defaults);

  // Return the form
  return $form;
}
